%define name	apollon
%define version	1.0.2.1
%define rel	4

%define release	%mkrel %rel
%{?!mkrel: %define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*)(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%define distsuffix plf

%define libname	%mklibname %{name} 0

Summary:	Client for giFT
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/File transfer
URL:		http://%{name}.sf.net/
Source0:	http://download.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1:	%{name}-images.tar.bz2
Patch0:         apollon-1.0.2.1-fix-desktopfile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	gift-plugin
BuildRequires:	gift-devel
BuildRequires:	kdelibs-devel
BuildRequires:	qt3-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	chrpath

%description
Apollon is a KDE frontend for the giFT peer-to-peer filesharing engine.
It is an advanced client with many options.

This package is in PLF because of the Mandriva Linux policy forbidding
P2P software.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{libname}-devel
Summary:	Header files and static library for development with %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Header files and static library for development with %{name}.

%prep
%setup -q -a 1
%patch0 -p1

[ -f ./apollon/preferences.ui.h ] && \
  %__perl -p -i -e 's|/usr/local/lib/giFT|%{_libdir}/giFT|' ./apollon/preferences.ui.h || \
  exit 1

%build
CXXFLAGS="%optflags" %configure2_5x --disable-rpath \
	--with-qt-dir=%_prefix/lib/qt3 --with-qt-libraries=%_prefix/lib/qt3/%{_lib}
%make

%install
%makeinstall_std
chrpath -d $RPM_BUILD_ROOT/%{_bindir}/*

#rm invalid link
%__rm -rfd $RPM_BUILD_ROOT/%{_datadir}/doc/HTML/en/apollon/common

%{find_lang} %{name}

# icons
%__install -d -m 755 %buildroot/{%_miconsdir,%_liconsdir,%_iconsdir}
%__install -m 644 %{name}/images/%{name}16x16.png %buildroot/%{_miconsdir}/%{name}.png
%__install -m 644 %{name}/images/%{name}32x32.png  %buildroot/%{_iconsdir}/%{name}.png
%__install -m 644 %{name}/images/%{name}48x48.png %buildroot/%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
%__cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): \
command="apollon" \
needs="X11" \
icon="%{name}.png" \
section="Networking/File Transfer" \
title="Apollon" \
longtitle="Client for giFT" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --add-category="Network" \
  --add-category="FileTransfer" \
  --add-category="P2P" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applnk/Applications $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/*

%post
%{update_menus}

%postun
%{clean_menus}

%clean
%__rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog HowToGetPlugins.README README TODO
%{_bindir}/%{name}
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png
%{_menudir}/%{name}
%{_datadir}/applnk/Applications/*
%{_datadir}/doc/HTML/en/apollon/*
%{_iconsdir}/*/*/*/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.*a

%changelog
* Wed Sep 13 2006 Nicolas Lcureuil <neoclust@zarb.org> 1.0.2.1-4plf2007.0
- Rebuild for wrong dependancies
- XDG
- Remove De translation on desktop file as this is UTF-8 Invalid!

* Mon Apr 24 2006 Austin Acton <ausitn@zarb.org> 1.0.2.1-3plf
- fix description

* Sat Oct  8 2005 Anssi Hannula <anssi@zarb.org> 1.0.2.1-2plf
- fix x86_64 build
- mkrel

* Sat Jul 2 2005 Austin Acton <austin@zarb.org> 1.0.2.1-1plf
- 1.0.2.1
- cleanup requires
- cleanup file list

* Tue Feb 15 2005 Austin Acton <austin@zarb.org> 1.0.1-1plf
- 1.0.1
- remove conflict with gift-gnutella

* Sat Oct 9 2004 Austin Acton <austin@zarb.org> 1.0-1plf
- 1.0 final

* Mon Sep 13 2004 David Walluck <david@zarb.org> 0:1.0-0.beta1.1plf
- 1.0-beta1 (CVS 20040913)
- remove included libgift sources
- include tarball of apollon icons from version 0.9.3
- fix plugin path in file dialog
- conflicts with gift-gnutella for now

* Thu Aug 19 2004 Mark Baas <tigermb@zarb.org> 0.9.2-4plf
- menu

* Wed Jun 9 2004 Austin Acton <austin@linux.ca> 0.9.3-3plf
- rebuild for new gcc
- remove INSTALL and COPYING

* Tue Apr 27 2004 Stefan van der Eijk <stefan@zarb.org> 0.9.3-2plf
- 0.9.3-2

* Sat Apr 3 2004 Austin Acton <austin@linux.ca> 0.9.3-1plf
- 0.9.3

* Fri Feb 20 2004 David Walluck <david@anti-microsoft.org> 0:0.9.2-1plf
- 0.9.2
- add Distribution and Vendor tags

* Tue Jan 06 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9.1-3plf
- drop icon sources and use those included in src
- use libtoolize /bin/true --can now use configure marco
- use macros configure2_5x and makeinstall_std
- disable rpath

* Sun Dec 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.1-2plf
- resync with existing package

* Sun Dec 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.1-1plf
- 0.9.1-1plf

* Thu Oct 02 2003 David Walluck <david@anti-microsoft.org> 0:0.9-1plf
- 0.9
- fix menu (remove '\' that was before 'EOF')
- rpmlint

* Sun Sep 21 2003 Mark Baas <m.baas@zarb.org> 0.8.7-1plf
- PLF adaption and fixed buildrequires.

* Fri Aug 22 2003 Mark Baas <m.baas@bigfoot.com> 0.8.7-1tig
- Update to 0.8.7.

* Fri Aug 01 2003 Mark Baas <m.baas@bigfoot.com> 1tig
- Updated the apollon rpm to apollon rpm.
